#!/bin/ksh
#
# METOP MMAM scripts
#
# 23/07/2012
##########################################################################

[ "$AAPP_PREFIX" ] || \
  { echo "Please set environment variable AAPP_PREFIX"; exit 1; }

[ -d "$AAPP_PREFIX" ] || \
  { echo "$AAPP_PREFIX is not a directory"; exit 1; }

. $AAPP_PREFIX/ATOVS_CONF

HKTM=HKTM_P17_00_M02_20110614123704Z_20110614124024Z_N_O_20110614124048Z

echo "Check that the HKTM file contains an MMAM:"
truefalse=$(is-mmam.exe $HKTM)
echo $truefalse
if [ "$truefalse" != TRUE ] && [ "$truefalse" != true ]; then
  exit 1
fi

echo
echo "Extract the MMAM using mmam-main.exe:"
rm -f mmam.xml*
mmam-main.exe -pfsl0 $HKTM mmam.xml.bz2 && bzip2 -d mmam.xml.bz2

[ -f mmam.xml ] || { echo "Failed to create mmam.xml"; exit 1; }

ls -l mmam.xml
echo
echo "Print the OBT-UTC:"
print-mmam-obt-utc.pl mmam.xml 2>/dev/null    #ignore warnings
